Package org.eclipse.net4j.util.cache

## Class ThresholdConditionPolicy

- java.lang.Object
- - org.eclipse.net4j.util.cache.ThresholdConditionPolicy

- All Implemented Interfaces:
    `ICacheMonitor.ConditionPolicy`
  Direct Known Subclasses:
    `HysteresisConditionPolicy`

      public class ThresholdConditionPolicy
      extends java.lang.Object
      implements ICacheMonitor.ConditionPolicy

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ThresholdConditionPolicy​(long thresholdRedYellow, long thresholdYellowGreen)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ICacheMonitor.Condition` | `getNewCondition​(ICacheMonitor.Condition oldCondition)` |
    `protected ICacheMonitor.Condition` | `getNewCondition​(ICacheMonitor.Condition oldCondition, long freeMemory)` |
    `long` | `getThresholdRedYellow()` |
    `long` | `getThresholdYellowGreen()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThresholdConditionPolicy

          public ThresholdConditionPolicy​(long thresholdRedYellow,
                                          long thresholdYellowGreen)

  - ### Method Detail

    - #### getThresholdRedYellow

          public long getThresholdRedYellow()

    - #### getThresholdYellowGreen

          public long getThresholdYellowGreen()

    - #### getNewCondition

          public ICacheMonitor.Condition getNewCondition​(ICacheMonitor.Condition oldCondition)

      Specified by:
        `getNewCondition` in interface `ICacheMonitor.ConditionPolicy`

    - #### getNewCondition

          protected ICacheMonitor.Condition getNewCondition​(ICacheMonitor.Condition oldCondition,
                                                            long freeMemory)